EMF::BRUSH(3)

NAME
EMF::BRUSH - Graphics Brush.

SYNOPSIS

#include <libemf.h>

Inherits EMF::GRAPHICSOBJECT, and LOGBRUSH.

  Public Member Functions

BRUSH (const LOGBRUSH *lbrush)
OBJECTTYPE getType (void) const
METARECORD * newEMR (HDC dc, HGDIOBJ emf_handle)

  Additional Inherited Members

Detailed Description

Graphics Brush.

Brushes are used for filling shapes.

Constructor & Destructor Documentation

  EMF::BRUSH::BRUSH (const LOGBRUSH * lbrush) [inline]

Parameters
    lbrush the (logical?) brush definition.

Member Function Documentation

  OBJECTTYPE EMF::BRUSH::getType (void) const [inline], [virtual]
Return the type of this object (could probably do better with RTTI()).

Implements EMF::OBJECT.

  METARECORD* EMF::BRUSH::newEMR (HDC dc, HGDIOBJ emf_handle) [inline], [virtual]
Return a new metarecord for this object. And record its selection into the given device context.

Parameters
    dc handle of device context into which this object is being selected.
    emf_handle the EMF handle associated with the BRUSH.

Implements EMF::GRAPHICSOBJECT.

References EMF::GRAPHICSOBJECT::contexts.

Author

Generated automatically by Doxygen for libemf from the source code.